For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get the recommended offering for a category based on postal code
GET
/api/v1/offerings/recommended
Authentication
Authorizationstring
API key to authenticate for external integrations. Use the format: “ApiKey insert-token-here”
Query parameters
categoryenumRequired
Offering category to retrieve recommendation for
Allowed values:
postalCodestringRequired
Postal code of the patient to retrieve recommendation for
Response
idstring
namestring
Name of the offering - use these as labels
institutionHciCodestring
institutionobject
systemenum
descriptionstring
Clinical guidelines and other information which clinicians should read before proceeding with creating the referral. May contain URLs - should be rendered in a Linkify component
isActiveboolean
Whether the offering is able to receive new referrals currently
isSubsidisableboolean
Whether this offering supports subsidized referrals.
timeslotPolicyenum
How timeslots are handled for this offering. Is enforced at validation.
timeslot-required: Timeslots must be selected when creating a referral.
optional-timeslots-and-urgentable: Timeslots are selectable but optional. If no timeslot is selected, the referral will be routed to a manual call-centre for scheduling. If you indicate isUrgent: true, the timeslot will be disregarded and referral will be sent to the call-centre for triage.
no-timeslots: Timeslots are not selectable for this offering. Calling the timeslot API will return an error.
Allowed values:
categoryenumOptional
Category of the offering. Used to group offerings together.